# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXRegistry Class Reference

Registry of vl::VLXClassWrapper objects, used by vl::VLXSerializer, see also vl::defVLXRegistry(). More...

`#include <VLXRegistry.hpp>`

Inheritance diagram for vl::VLXRegistry:

List of all members.

## Public Member Functions

void | registerClassWrapper (const TypeInfo &type, VLXClassWrapper *wrapper)
std::map< std::string, ref < VLXClassWrapper > > & | importRegistry ()
std::map< TypeInfo, ref < VLXClassWrapper > > & | exportRegistry ()
const std::map< std::string, ref< VLXClassWrapper > > & | importRegistry () const
const std::map< TypeInfo, ref < VLXClassWrapper > > & | exportRegistry () const

## Detailed Description

Registry of vl::VLXClassWrapper objects, used by vl::VLXSerializer, see also vl::defVLXRegistry().

Definition at line 42 of file VLXRegistry.hpp.

## Member Function Documentation

void vl::VLXRegistry::registerClassWrapper | ( | const TypeInfo & | type,
|  | VLXClassWrapper * | wrapper
| ) |  | `[inline]`

Definition at line 47 of file VLXRegistry.hpp.

References vl::TypeInfo::name().

std::map< std::string, ref<VLXClassWrapper> >& vl::VLXRegistry::importRegistry | ( | ) | `[inline]`

Definition at line 54 of file VLXRegistry.hpp.

Referenced by vl::VLXSerializer::canImport(), and vl::VLXSerializer::importVLX().

std::map< TypeInfo, ref<VLXClassWrapper> >& vl::VLXRegistry::exportRegistry | ( | ) | `[inline]`

Definition at line 55 of file VLXRegistry.hpp.

Referenced by vl::VLXSerializer::canExport(), and vl::VLXSerializer::exportVLX().

const std::map< std::string, ref<VLXClassWrapper> >& vl::VLXRegistry::importRegistry | ( | ) | const`[inline]`

Definition at line 57 of file VLXRegistry.hpp.

const std::map< TypeInfo, ref<VLXClassWrapper> >& vl::VLXRegistry::exportRegistry | ( | ) | const`[inline]`

Definition at line 58 of file VLXRegistry.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXRegistry.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:18.
Permission is granted to use this page to write and publish articles regarding Visualization Library.